set more 1
log using C:\_ernesto\Crime\AER_DataFiles&Programs\revision1.log, replace
#delimit;
clear;
set memory 6m;
set matsize 800;
set obs 8000;
***REVISION1.DO - VERSION AUGUST 2003;
use "C:\_ernesto\Crime\AER_DataFiles&Programs\MonthlyPanel.dta", clear;
gen inst3_1=institu3-institu1;
gen month5=0;
replace month5=1 if mes==5;
gen month6=0;
replace month6=1 if mes==6;
gen month7=0;
replace month7=1 if mes==7;
gen month8=0;
replace month8=1 if mes==8;
gen month9=0;
replace month9=1 if mes==9;
gen month10=0;
replace month10=1 if mes==10;
gen month11=0;
replace month11=1 if mes==11;
gen month12=0;
replace month12=1 if mes==12;
gen post=0;
replace post=1 if mes>7;
gen inst1p=institu1*post;
gen inst3_1p=inst3_1*post;
***DISTANCE DUMMIES;
gen cuad0=0;
replace cuad0=1 if distanci==0;
gen cuad0p=cuad0*post;
gen cuad1=0;
replace cuad1=1 if distanci==1;
gen cuad1p=cuad1*post;
gen cuad2=0;
replace cuad2=1 if distanci==2;
gen cuad2p=cuad2*post;
gen cuad3=0;
replace cuad3=1 if distanci==3;
gen cuad3p=cuad3*post;
gen cuad4=0;
replace cuad4=1 if distanci==4;
gen cuad4p=cuad4*post;
gen cuad5=0;
replace cuad5=1 if distanci==5;
gen cuad5p=cuad5*post;
gen cuad6=0;
replace cuad6=1 if distanci==6;
gen cuad6p=cuad6*post;
gen cuad7=0;
replace cuad7=1 if distanci==7;
gen cuad7p=cuad7*post;
***CROSS-SECTIONAL DIFFERENCES OF MEANS;
gen codigo=4;
replace codigo=1 if institu1==1;
replace codigo=2 if inst3_1==1;
replace codigo=3 if cuad2==1;
gen otromes1=mes;
replace otromes1=7.2 if mes==72;
replace otromes1=7.3 if mes==73;
sort observ mes;
by observ: gen totrob2=sum(totrob) if (mes==72 | mes==73);
replace totrob2=totrob if (mes~=72 & mes~=73);
***TABLE 2;
table otromes1 if mes~=72, by(codigo) c(mean totrob2 sd totrob2);
sort mes observ;
by mes: ttest totrob2 if ((codigo==1 | codigo==4) & mes~=72), by (codigo) unequal welch;
by mes: ttest totrob2 if ((codigo==2 | codigo==4) & mes~=72), by (codigo) unequal welch;
by mes: ttest totrob2 if ((codigo==3 | codigo==4) & mes~=72), by (codigo) unequal welch;
***ROBOS JULIO HASTA DIA 17 INCLUSIVE;
drop if mes==72;
drop if mes==73;
***CONTROL GROUP COUNTERFACTUAL;
sum totrob if post==1 & distanci>2;
***REGRESSIONS;
***ROBUST STANDARD ERRORS;
***CROSS SECTION;
reg totrob institu1 month* if post==1, robust;
reg totrob institu1 inst3_1 month* if post==1, robust;
***TABLE 3.D;
reg totrob institu1 inst3_1 cuad2 month* if post==1, robust;
***TEST RELATIVE TO DIFF IN DIFF;
test institu1=-0.08080;
test inst3_1=-0.01398;
test cuad2=-0.00218;
***TEST RELATIVE TO TIME SERIES COEFFICIENTS;
test institu1=-0.0543919;
test inst3_1=-0.0124224;
test cuad2=-0.0242257;
***TIME SERIES;
gen totrobc=totrob;
replace totrobc=totrob*(30/17) if mes==7;
replace totrobc=totrob*(30/31) if mes==5;
replace totrobc=totrob*(30/31) if mes==8;
replace totrobc=totrob*(30/31) if mes==10;
replace totrobc=totrob*(30/31) if mes==12;
areg totrobc inst1p if institu1==1, absorb(observ) robust;
areg totrobc inst1p inst3_1p if (institu1==1 | inst3_1==1), absorb(observ) robust;
***TABLE 3.E;
areg totrobc inst1p inst3_1p cuad2p if (institu1==1 | inst3_1==1 | cuad2==1), absorb(observ) robust;
***TEST RELATIVE TO DIFF IN DIFF;
test inst1p=-0.08080;
test inst3_1p=-0.01398;
test cuad2p=-0.00218;
***TEST RELATIVE TO CROSS SECTIONAL COEFFICIENTS;
test inst1p=-0.0727188;
test inst3_1p=-0.0115807;
test cuad2p=-0.0034292;
***DIFF IN DIFF;
***TABLE 3.A;
areg totrob inst1p month*, absorb(observ) robust;
***TABLE 3.B;
areg totrob inst1p inst3_1p month*, absorb(observ) robust;
***TABLE 3.C;
areg totrob inst1p inst3_1p cuad2p month*, absorb(observ) robust;
test inst1p=-0.01221;
test (inst1p/(161/37))=-inst3_1p;
test (inst1p/(226/37))=-cuad2p;
***TEST RELATIVE TO CROSS SECTIONAL COEFFICIENTS;
test inst1p=-0.0727188;
test inst3_1p=-0.0115807;
test cuad2p=-0.0034292;
***TEST RELATIVE TO TIME SERIES COEFFICIENTS;
test inst1p=-0.0543919;
test inst3_1p=-0.0124224;
test cuad2p=-0.0242257;
***DISTANCE DUMMIES (INSTEAD OF FIXED EFFECTS);
reg totrob institu1 inst3_1 cuad2 inst1p inst3_1p cuad2p month*, robust;
***BDM (1)- PRE VS. POST;
gen prerob=.;
replace prerob=totrob if mes<8;
gen posrob=.;
replace posrob=totrob if mes>7;
sort observ mes;
egen totpre=sum(prerob), by (observ);
egen totpos=sum(posrob), by (observ);
gen robcoll=.;
***EN MONTHLY RATES;
replace robcoll=totpre/4 if mes==4;
replace robcoll=totpos/5 if mes==8;
***TABLE 5.A;
areg robcoll inst1p inst3_1p cuad2p month*, absorb(observ) robust;
***CLUSTERING BY BLOCK;
***TABLE 5.B;
areg totrob inst1p inst3_1p cuad2p month*, absorb(observ) robust cluster(observ);
***SIN CUADRAS SIN ROBOS;
summarize totrob if mes>7 & (institu1==0 & inst3_1==0 & cuad2==0 & (totpre~=0 | totpos~=0));
***TABLE 5.F;
areg totrob inst1p inst3_1p cuad2p month* if (totpre~=0 | totpos~=0), absorb(observ) robust;
***POISSON;
xtpois totrob inst1p inst3_1p cuad2p month*, fe i(observ);
gen totrobq=totrob*4;
gen w=0.25;
xtpois totrobq inst1p inst3_1p cuad2p month* [iweight=w], fe i(observ);
***TABLE 5.G;
xtpois totrobq inst1p inst3_1p cuad2p month* [iweight=w], fe i(observ) irr;
***CLUSTERED BY BARRIO-MES;
gen nbarrio=0;
replace nbarrio=1 if barrio=="Belgrano";
replace nbarrio=2 if barrio=="Once";
replace nbarrio=3 if barrio=="V. Crespo";
gen codigo2=mes+10000*nbarrio;
***TABLE 5.C;
areg totrob inst1p inst3_1p cuad2p month*, absorb(observ) robust cluster(codigo2);
***MONTHLY FIXED EFFECTS POR BARRIO-MES;
gen belgrano=0;
replace belgrano=1 if barrio=="Belgrano";
gen once=0;
replace once=1 if barrio=="Once";
gen vcrespo=0;
replace vcrespo=1 if barrio=="V. Crespo";
gen month4=0;
replace month4=1 if mes==4;
gen mbelgapr=belgrano*month4;
gen mbelgmay=belgrano*month5;
gen mbelgjun=belgrano*month6;
gen mbelgjul=belgrano*month7;
gen mbelgaug=belgrano*month8;
gen mbelgsep=belgrano*month9;
gen mbelgoct=belgrano*month10;
gen mbelgnov=belgrano*month11;
gen mbelgdec=belgrano*month12;
gen monceapr=once*month4;
gen moncemay=once*month5;
gen moncejun=once*month6;
gen moncejul=once*month7;
gen monceaug=once*month8;
gen moncesep=once*month9;
gen monceoct=once*month10;
gen moncenov=once*month11;
gen moncedec=once*month12;
gen mvcreapr=vcrespo*month4;
gen mvcremay=vcrespo*month5;
gen mvcrejun=vcrespo*month6;
gen mvcrejul=vcrespo*month7;
gen mvcreaug=vcrespo*month8;
gen mvcresep=vcrespo*month9;
gen mvcreoct=vcrespo*month10;
gen mvcrenov=vcrespo*month11;
gen mvcredec=vcrespo*month12;
***TABLE 5.E;
areg totrob inst1p inst3_1p cuad2p mbelg* monce* mvcre*, absorb(observ) robust;
drop month4;
***OTRA PREVIA PRESENCIA DE SEGURIDAD;
***EDIFICIOS PUBLICOS;
gen epin1p=edpub*inst1p;
gen epin3_1p=edpub*inst3_1p;
gen epcuad2p=edpub*cuad2p;
gen nepin1p=(1-edpub)*inst1p;
gen nepi3_1p=(1-edpub)*inst3_1p;
gen nepcua2p=(1-edpub)*cuad2p;
***TABLE 7.B;
areg totrob nepin1p nepi3_1p nepcua2p epin1p epin3_1p epcuad2p month*, absorb(observ) robust;
test nepin1p=epin1p; 
test nepi3_1p=epin3_1p; 
test nepcua2p=epcuad2p;
drop epin1p epin3_1p epcuad2p nepin1p nepi3_1p nepcua2p;
***ESTACION DE SERVICIO;
gen esin1p=estserv*inst1p;
gen esin3_1p=estserv*inst3_1p;
gen escuad2p=estserv*cuad2p;
gen nesin1p=(1-estserv)*inst1p;
gen nesi3_1p=(1-estserv)*inst3_1p;
gen nescua2p=(1-estserv)*cuad2p;
***TABLE 7.C;
areg totrob nesin1p nesi3_1p nescua2p esin1p esin3_1p escuad2p month*, absorb(observ) robust;
test nesin1p=esin1p; 
test nesi3_1p=esin3_1p;
test nescua2p=escuad2p; 
drop esin1p esin3_1p escuad2p nesin1p nesi3_1p nescua2p;
***BANCO;
gen bain1p=banco*inst1p;
gen bain3_1p=banco*inst3_1p;
gen bacuad2p=banco*cuad2p;
gen nbain1p=(1-banco)*inst1p;
gen nbai3_1p=(1-banco)*inst3_1p;
gen nbacua2p=(1-banco)*cuad2p;
***TABLE 7.A;
areg totrob nbain1p nbai3_1p nbacua2p bain1p bain3_1p bacuad2p month*, absorb(observ) robust;
test nbain1p=bain1p; 
test nbai3_1p=bain3_1p;
test nbacua2p=bacuad2p; 
drop bain1p bain3_1p bacuad2p nbain1p nbai3_1p nbacua2p;
***EDIFICIOS PUBLICOS, ESTACION DE SERVICIO, BANCO;
gen todos=0;
replace todos=1 if (edpub==1 | estserv==1 | banco==1);
gen toin1p=todos*inst1p;
gen toin3_1p=todos*inst3_1p;
gen tocuad2p=todos*cuad2p;
gen ntoin1p=(1-todos)*inst1p;
gen ntoi3_1p=(1-todos)*inst3_1p;
gen ntocua2p=(1-todos)*cuad2p;
***TABLE 7.D;
areg totrob ntoin1p ntoi3_1p ntocua2p toin1p toin3_1p tocuad2p month*, absorb(observ) robust;
test ntoin1p=toin1p; 
test ntoi3_1p=toin3_1p; 
test ntocua2p=tocuad2p;
drop toin1p toin3_1p tocuad2p ntoin1p ntoi3_1p ntocua2p;
***CHEQUEANDO PRETREATMENT TRENDS;
***ATENTADO APRIL 30;
use "C:\_ernesto\Crime\AER_DataFiles&Programs\MonthlyPanel.dta", clear;
gen inst3_1=institu3-institu1;
gen cuad2=0;
replace cuad2=1 if distanci==2;
gen month5=0;
replace month5=1 if mes==5;
gen month6=0;
replace month6=1 if mes==6;
gen month7=0;
replace month7=1 if mes==7;
drop if mes==72;
drop if mes==73;
drop if mes==8;
drop if mes==9;
drop if mes==10;
drop if mes==11;
drop if mes==12;
gen post=0;
replace post=1 if mes>4;
gen inst1p=institu1*post;
gen inst3_1p=inst3_1*post;
gen cuad2p=cuad2*post;
summarize totrob;
***TABLE 4.A;
areg totrob inst1p inst3_1p cuad2p month*, absorb(observ) robust;
***ATENTADO MAYO 31;
use "C:\_ernesto\Crime\AER_DataFiles&Programs\MonthlyPanel.dta", clear;
gen inst3_1=institu3-institu1;
gen cuad2=0;
replace cuad2=1 if distanci==2;
gen month5=0;
replace month5=1 if mes==5;
gen month6=0;
replace month6=1 if mes==6;
gen month7=0;
replace month7=1 if mes==7;
drop if mes==72;
drop if mes==73;
drop if mes==8;
drop if mes==9;
drop if mes==10;
drop if mes==11;
drop if mes==12;
gen post=0;
replace post=1 if mes>5;
gen inst1p=institu1*post;
gen inst3_1p=inst3_1*post;
gen cuad2p=cuad2*post;
summarize totrob;
***TABLE 4.B;
areg totrob inst1p inst3_1p cuad2p month*, absorb(observ) robust;
***ATENTADO JUNE 30;
use "C:\_ernesto\Crime\AER_DataFiles&Programs\MonthlyPanel.dta", clear;
gen inst3_1=institu3-institu1;
gen cuad2=0;
replace cuad2=1 if distanci==2;
gen month5=0;
replace month5=1 if mes==5;
gen month6=0;
replace month6=1 if mes==6;
gen month7=0;
replace month7=1 if mes==7;
drop if mes==72;
drop if mes==73;
drop if mes==8;
drop if mes==9;
drop if mes==10;
drop if mes==11;
drop if mes==12;
gen post=0;
replace post=1 if mes>6;
gen inst1p=institu1*post;
gen inst3_1p=inst3_1*post;
gen cuad2p=cuad2*post;
summarize totrob;
***TABLE 4.C;
areg totrob inst1p inst3_1p cuad2p month*, absorb(observ) robust;
